## NAME

r.out.png - Export a GRASS raster map as a non-georeferenced PNG image.

## KEYWORDS

raster, export, output, PNG

## SYNOPSIS

r.out.png
r.out.png --help
r.out.png [-tw] input=name output=name [compression=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-t
  Make NULL cells transparent
-w
  Output world file
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input raster map
output=name [required]
  Name for new PNG file (use '-' for stdout)
compression=integer
  Compression level of PNG file
  (0 = none, 1 = fastest, 9 = best)
  Options: 0-9
  Default: 6

## DESCRIPTION

r.out.png exports a GRASS raster map in non-georeferenced Portable Network Graphics (PNG) image format, respecting the current region resolution and bounds.

Optionally the user can choose to export a World File (.wld) to provide basic georeferencing support. When used with the transparency flag this can create images useful for KML, TMS, or WMS overlays. (e.g. for use in Google Earth or as OpenLayers tiles) If output is redirected to stdout, the world file will be called `png_map.wld`.

## EXAMPLE

The example is based on the North Carolina sample data.

Export of the soil map to PNG format with world file:

    g.region raster=soils_Kfactor -p
    # export PNG file with additional world file
    r.out.png input=soils_Kfactor output=soils_Kfactor -w
    # verify
    gdalinfo soils_Kfactor.png

## SEE ALSO

r.out.gdal, r.out.ppm, r.out.ascii, r.import

## AUTHORS

Alex Shevlakov
Hamish Bowman

## SOURCE CODE

Available at: r.out.png source code (history)

Latest change: Tuesday May 20 11:33:36 2025 in commit: 8efb37cb1f4948e3e157a34b72071bacc35ec8df

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual